package visualization6;

/**
 * ノード間の距離関数を示すインターフェイスです。
 */

public interface DistanceEvaluator {
    /**
     * ノード間の距離を計算します。
     * 
     * @param n1
     *            ノード1
     * @param n2
     *            ノード2
     * @return 距離
     */
    double distance(Node n1, Node n2);
}
